Skip to main content
GET
/
ai-actions
List AI actions
curl --request GET \
  --url https://cookiechimp.com/api/v1/ai-actions \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "prev_url": "/api/v1/ai-actions?page=",
    "next_url": "/api/v1/ai-actions?page=2",
    "count": 4,
    "page": 1,
    "prev": null,
    "next": 2
  },
  "data": [
    {
      "cookie_id": "example_uuid",
      "type": "autofill",
      "metadata": {
        "description": "Tracks user activities.",
        "company": "Example Company",
        "domain": "example.com",
        "duration": "Session"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token obtained from the login endpoint or the dashboard

Query Parameters

limit
integer
default:20

Number of resources to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of resources to skip

Required range: x >= 0
sort
string

Field to sort by

order
enum<string>

Sort order

Available options:
asc,
desc

ID of the cookie to filter by

type
enum<string>

Type of the AI action to filter by

Available options:
autofill,
auto_categorisation,
auto_approved

Response

List of AI actions

pagination
object
Example:
{
"prev_url": "/api/v1/ai-actions?page=",
"next_url": "/api/v1/ai-actions?page=2",
"count": 4,
"page": 1,
"prev": null,
"next": 2
}
data
object[]